{ pkgs, hyprlandSettings, ... }:
let
  settings = import ../../settings.nix { inherit pkgs; };
in
{
  programs.btop = {
    enable = true;
    settings = {
      color_theme = "nord";
      theme_background = true;
      truecolor = true;
      force_tty = false;
      presets = "cpu:1:default,proc:0:default cpu:0:default,mem:0:default,net:0:default cpu:0:block,net:0:tty";
      vim_keys = true;
      rounded_corners = true;
      graph_symbol = "braille";
      graph_symbol_cpu = "default";
      graph_symbol_mem = "default";
      graph_symbol_net = "default";
      graph_symbol_proc = "default";
      shown_boxes = "cpu mem net proc";
      update_ms = 2000;
      proc_sorting = "cpu lazy";
      proc_reversed = false;
      proc_tree = false;
      proc_colors = true;
      proc_gradient = true;
      proc_per_core = false;
      proc_mem_bytes = true;
      proc_cpu_graphs = true;
      proc_info_smaps = false;
      proc_left = false;
      proc_filter_kernel = false;
      cpu_graph_upper = "total";
      cpu_graph_lower = "total";
      cpu_invert_lower = true;
      cpu_single_graph = false;
      cpu_bottom = false;
      show_uptime = true;
      check_temp = true;
      cpu_sensor = "Auto";
      show_coretemp = true;
      cpu_core_map = "";
      temp_scale = "celsius";
      base_10_sizes = false;
      show_cpu_freq = true;
      clock_format = "%X";
      background_update = true;
      custom_cpu_name = "";
      disks_filter = "";
      mem_graphs = true;
      mem_below_net = false;
      zfs_arc_cached = true;
      show_swap = true;
      swap_disk = true;
      show_disks = true;
      only_physical = true;
      use_fstab = true;
      zfs_hide_datasets = false;
      disk_free_priv = false;
      show_io_stat = true;
      io_mode = false;
      io_graph_combined = false;
      io_graph_speeds = "";
      net_download = 100;
      net_upload = 100;
      net_auto = true;
      net_sync = true;
      net_iface = "";
      show_battery = true;
      selected_battery = "Auto";
      log_level = "WARNING";
    };
    themes = {
      nord = ''
        theme[main_bg]="${settings.nord.polarNight.nord0}"
        theme[main_fg]="${settings.nord.snowStorm.nord6}"
        theme[title]="${settings.nord.snowStorm.nord6}"
        theme[hi_fg]="${settings.nord.frost.nord7}"
        theme[selected_bg]="${settings.nord.polarNight.nord1}"
        theme[selected_fg]="${settings.nord.frost.nord7}"
        theme[inactive_fg]="${settings.nord.polarNight.nord2}"
        theme[graph_text]="${settings.nord.snowStorm.nord6}"
        theme[meter_bg]="${settings.nord.polarNight.nord1}"
        theme[proc_misc]="${settings.nord.snowStorm.nord6}"
        theme[cpu_box]="${settings.nord.aurora.nord15}"
        theme[mem_box]="${settings.nord.aurora.nord14}"
        theme[net_box]="${settings.nord.aurora.nord12}"
        theme[proc_box]="${settings.nord.aurora.nord11}"
        theme[div_line]="${settings.nord.polarNight.nord1}"
        theme[temp_start]="${settings.nord.aurora.nord14}"
        theme[temp_mid]="${settings.nord.aurora.nord13}"
        theme[temp_end]="${settings.nord.aurora.nord11}"
        theme[cpu_start]="${settings.nord.aurora.nord15}"
        theme[cpu_mid]="${settings.nord.aurora.nord12}"
        theme[cpu_end]="${settings.nord.aurora.nord11}"
        theme[free_start]="${settings.nord.aurora.nord14}"
        theme[free_mid]="${settings.nord.aurora.nord13}"
        theme[free_end]="${settings.nord.aurora.nord12}"
        theme[cached_start]="${settings.nord.aurora.nord14}"
        theme[cached_mid]="${settings.nord.aurora.nord13}"
        theme[cached_end]="${settings.nord.aurora.nord12}"
        theme[available_start]="${settings.nord.snowStorm.nord6}"
        theme[available_mid]="${settings.nord.aurora.nord11}"
        theme[available_end]="${settings.nord.aurora.nord11}"
        theme[used_start]="${settings.nord.aurora.nord14}"
        theme[used_mid]="${settings.nord.aurora.nord13}"
        theme[used_end]="${settings.nord.aurora.nord11}"
        theme[download_start]="${settings.nord.frost.nord8}"
        theme[download_mid]="${settings.nord.frost.nord8}"
        theme[download_end]="${settings.nord.aurora.nord12}"
        theme[upload_start]="${settings.nord.frost.nord7}"
        theme[upload_mid]="${settings.nord.frost.nord7}"
        theme[upload_end]="${settings.nord.aurora.nord12}"
        theme[process_start]="${settings.nord.aurora.nord15}"
        theme[process_mid]="${settings.nord.aurora.nord12}"
        theme[process_end]="${settings.nord.aurora.nord11}"
      '';
    };
  };

}
